Programming Station iTNC 530

Programming Station iTNC 530

Valid for:
606424-04

Release:
31.07.2014-en-

Copyright © 2014 DR. JOHANNES HEIDENHAIN GmbH. All rights reserved.


TNC model, software and features

Further Informations:
> TNC model, software and features


TNC model, software and features

TNC model, software and features

This manual describes functions and features provided by the TNC programming station as of the following NC software numbers.

TNC model | NC software number
iTNC 530 HSCI programming station | 606424‑04

The programming station software is fully compatible with the TNCs listed below.

TNC model | NC software number
iTNC 530 with HSCI | 606420‑04
iTNC 530 with HSCI (export version) | 606421‑04

Many machine manufacturers, as well as HEIDENHAIN, offer programming courses for the TNCs. We recommend these courses as an effective way of improving your programming skill and sharing information and ideas with other TNC users.

User documentation:

All TNC functions are described in the User’s Manuals for the iTNC 530. Please contact HEIDENHAIN if you need a copy of these User's Manuals. Have your NC software number handy. It is shown on the iTNC's MOD screen.

The user documentation is also available as online help, which can be called with the Help key of your programming station.

If you have purchased the complete version of the programming station, you will find all the user documentation on the -TNCguide DVD included with the programming station.


Important information on the software for the programming station

Further Informations:
> Introduction
> Working with the iTNC 530 programming station
> Data transfer from the programming station to the machine tool
> Special features of the demo version


Introduction

Further Informations:
> General information
> Options/Feature content level (FCL)
> Compatibility
> Downward compatibility


General information

This manual describes the special features of the iTNC 530 programming station. All available NC functions are described in the overall User's Manual and in the User's Manual for Cycle Programming. smarT.NC functions are described in the smarT.NC pilot.

TNC controls from HEIDENHAIN have always been user friendly: Thanks to their simple programming in HEIDENHAIN conversational language, field-proven cycles, unambiguous function keys, and clear and vivid graphic functions, they now count among the most popular shop-floor programmable controls.

Now there is also software for running a programming station using Windows. The HEIDENHAIN keyboard included in delivery is simply connected to the USB port on your PC. For test purposes you can also use the iTNC 530 programming station with your standard PC keyboard (see "Special features of the demo version" on page 59).

As an alternative, you can also use the virtual keyboard for the programming station (see Showing the virtual keyboard).


Options/Feature content level (FCL)

Some powerful functions are not available as a standard feature on all TNC controls, but must be enabled via a keyword.

All functions are available without surcharge on the iTNC 530 programming station. The free demo version, however, only permits storage of programs up to a certain program length (see Special features of the demo version).

When creating programs with the iTNC 530 programming station, please ensure that you only use functions actually available on your machine. Otherwise, the program could contain ERROR blocks after it has been downloaded to the control, or error messages could appear during testing or program run.


Compatibility

    The programming modes provide the same features as an iTNC530 connected to a machine tool (with NC software 606424‑04). You create programs

  • in HEIDENHAIN conversational format, according to ISO, or with smarT.NC,
  • with graphic support during programming and for program verification,
  • and with all other proven iTNC features, such as FK free contour programming.

You work with the original iTNC software—without any compatibility problems. The programs created with the programming station run on machines equipped with an iTNC 530 and the NC software 606424‑04. A requirement for this to work is that the programming station software must have been interfaced to the machine and that the software options you are using must have been enabled on your machine.

If you also use the programming station to create programs for older software versions of the iTNC 530 or older TNC contouring controls, please note the section below on Downward compatibility.


Downward compatibility

    The available functions of the iTNC 530 programming station exactly match those of the TNC software 606424‑04. If your TNC control is running this software, then you can download all programs created with the programming station directly to the control. If you want to use the programming station to create programs for older TNC controls, please note the following:

  • Do not use any features of the iTNC 530 that are not available on older TNC controls. The next pages include an overview of which features are available with which software versions.
  • In some cycles, parameters that were not available on older controls or in older software versions for the iTNC 530 have been added (see Differences in machining cycles concerning the TNC 4xx, or see Differences in touch probe cycles concerning the TNC 4xx). These additional parameters are identified internally as optional. Beginning with the last parameter of the respective cycle, you can use the NO ENT key to delete them from the cycle definition to make the program downward compatible.

If there are any uncertainties, compare the program created on the iTNC 530 programming station with the block formatting of your control as it is described in its User's Manual.

Further Informations:
> Differences in machining cycles concerning the TNC 4xx
> Differences in machining cycles with respect to older software versions of the iTNC 530
> Differences in touch probe cycles concerning the TNC 4xx
> Differences in touch probe cycles concerning older software versions of the iTNC 530
> Differences in miscellaneous functions M concerning the TNC 4xx
> Differences in miscellaneous functions M concerning older software versions of the iTNC 530
> Differences in Q-parameter programming concerning the TNC 4xx
> Differences in Q-parameter programming concerning older software versions of the iTNC 530
> Differences in other functions concerning the TNC 4xx
> Differences in other functions concerning older software versions of the iTNC 530


Differences in machining cycles concerning the TNC 4xx

Meaning of the symbols used in the table:

– | Parameter not available in this software version
o | Parameter or cycle available in this software version
x | Cycle not available in this software version
Cycle | Additional parameters | TNC 426 / TNC 430, software version |  |  |  |  | TNC 410
 |  | 280476 | 280474 | 280472 | 280470 | 280462 | 286060
20, contour data | – | o | o | o | o | o | x
21, pilot drilling | – | o | o | o | o | o | x
22, rough-out | Q208 Q401 Q404 | – – – | – – – | – – – | – – – | – – – | x x x
23, floor finishing | Q208 | – | – | – | – | – | x
24, side finishing | – | o | o | o | o | o | x
25, contour train | – | o | o | o | o | o | x
27, cylinder surface | – | o | o | o | o | o | x
28, cylinder surface | – | o | o | x | x | x | x
30, run 3-D data | – | o | o | o | o | o | x
32, tolerance | HSC-MODE TA | – – | – – | – – | x x | x x | x x
200, drilling | Q211 | o | o | – | – | – | –
202, boring | Q336 | o | o | – | – | – | –
203, universal drilling | Q256 | o | o | – | – | – | –
204, back boring | Q336 | o | o | – | x | x | x
205, universal pecking | Q379 Q253 | – – | – – | x x | x x | x x | – –
206, tapping with floating tap holder | – | o | o | x | x | x | x
207, rigid tapping, new | – | o | o | x | x | x | x
208, bore milling | Q342 Q351 | o – | – – | x x | x x | x x | x x
209, tapping with chip breaking | Q403 | – | – | x | x | x | x
210, slot with reciprocating plunge | Q338 Q206 | o – | o – | – – | – – | – – | – –
211, circular slot | Q338 Q206 | o – | o – | o – | o – | o – | – –
220, circular pattern | Q301 Q365 | o – | o – | – – | – – | – – | – –
221, linear pattern | Q301 | o | o | – | – | – | –
225, engraving | – | x | x | x | x | x | x
232, face milling | – | x | x | x | x | x | x
240, centering | – | x | x | x | x | x | x
241, single-lip deep-hole drilling | – | x | x | x | x | x | x
247, datum setting | – | o | x | x | x | x | x
251, rectangular pocket (complete) | – | x | x | x | x | x | x
252, circular pocket (complete) | – | x | x | x | x | x | x
253, slot (complete) | – | x | x | x | x | x | x
254, circular slot (complete) | – | x | x | x | x | x | x
256, rectangular stud (complete) | – | x | x | x | x | x | x
257, circular stud (complete) | – | x | x | x | x | x | x
262, thread milling | Q512 | o | x | x | x | x | x
263, thread milling/countersinking | Q512 | o | x | x | x | x | x
264, thread drilling/milling | Q512 | o | x | x | x | x | x
265, helical thread drilling/milling | – | o | x | x | x | x | x
267, outside thread milling | Q512 | o | x | x | x | x | x
270, contour train data | – | x | x | x | x | x | x
275, trochoidal slot | – | x | x | x | x | x | x
276, 3-D contour train | – | x | x | x | x | x | x
290, interpolation turning (option) | – | x | x | x | x | x | x


Differences in machining cycles with respect to older software versions of the iTNC 530

Meaning of the symbols used in the table:

– | Parameter not available in this software version
o | Parameter or cycle available in this software version
x | Cycle not available in this software version
Cycle | Additional parameters | iTNC 530, software version
 |  | 340422 | 340420
22, rough-out | Q208 Q401 Q404 | o – – | – – –
205, universal pecking | Q379 Q253 | o o | – –
208, bore milling | Q351 | – | –
225, engraving | – | x | x
240, centering | – | x | x
241, single-lip deep-hole drilling | Q435 | x | x
251, rectangular pocket (complete) | – | o | x
252, circular pocket (complete) | – | o | x
253, slot (complete) | Q439 | o | x
254, circular slot (complete) | Q439 | o | x
256, rectangular stud (complete) | – | x | x
257, circular stud (complete) | – | x | x
262, thread milling | Q512 | o | o
263, thread milling/countersinking | Q512 | o | o
264, thread drilling/milling | Q512 | o | o
267, outside thread milling | Q512 | o | o
241, single-lip deep-hole drilling | Q435 | x | x
270, contour train data | – | x | x
275, trochoidal slot | – | x | x
276, 3-D contour train | – | x | x
290, interpolation turning | – | x | x


Differences in touch probe cycles concerning the TNC 4xx

Meaning of the symbols used in the table:

– | Parameter not available in this software version
o | Parameter or cycle available in this software version
x | Cycle not available in this software version
Cycle | Additional parameters | TNC 426 / TNC 430, software version |  |  |  |  | TNC 410
 |  | 280476 | 280474 | 280472 | 280470 | 280462 | 286060
1, polar datum | – | o | o | o | x | x | x
2, calibrate TS | – | o | o | o | x | x | x
3, measuring | MB REFERENCE SYSTEM ERROR MODE | – – – | – – – | x – – | x – – | x – – | x x x
4, measuring in 3-D | – | x | x | x | x | x | x
9, calibrate TS length | – | x | x | x | x | x | x
400, basic rotation | Q305 | – | – | – | x | x | x
401, rotation of 2 holes | Q305 Q402 Q337 | – – – | – – – | – – – | x x x | x x x | x x x
402, rotation of 2 studs | Q305 Q402 Q337 | – – – | – – – | – – – | x x x | x x x | x x x
403, rotation in rotary axis | Q337 Q305 Q303 Q380 | – – – – | – – – – | – – – – | x x x x | x x x x | x x x x
404, set basic rotation | Q305 | – | – | x | x | x | x
405, rotation in C axis | – | o | o | x | x | x | x
408, slot center reference point | – | x | x | x | x | x | x
409, ridge center reference point | – | x | x | x | x | x | x
410, datum inside rectangle | Q303 Q381 Q382 Q383 Q384 Q333 | – – – – – – | – – – – – – | – – – – – – | x x x x x x | x x x x x x | x x x x x x
411, datum outside rectangle | Q303 Q381 Q382 Q383 Q384 Q333 | – – – – – – | – – – – – – | – – – – – – | x x x x x x | x x x x x x | x x x x x x
412, datum inside circle | Q303 Q381 Q382 Q383 Q384 Q333 Q423 Q365 | – – – – – – – – | – – – – – – – – | – – – – – – – – | x x x x x x x x | x x x x x x x x | x x x x x x x x
413, datum outside circle | Q303 Q381 Q382 Q383 Q384 Q333 Q423 Q365 | – – – – – – – – | – – – – – – – – | – – – – – – – – | x x x x x x x x | x x x x x x x x | x x x x x x x x
414, datum outside corner | Q303 Q381 Q382 Q383 Q384 Q333 | – – – – – – | – – – – – – | – – – – – – | x x x x x x | x x x x x x | x x x x x x
415, datum inside corner | Q303 Q381 Q382 Q383 Q384 Q333 | – – – – – – | – – – – – – | – – – – – – | x x x x x x | x x x x x x | x x x x x x
416, datum circle center | Q303 Q381 Q382 Q383 Q384 Q333 Q320 | – – – – – – – | – – – – – – – | – – – – – – – | x x x x x x x | x x x x x x x | x x x x x x x
417, datum in TS axis | Q303 | – | – | – | x | x | x
418, datum at center of four holes | Q303 Q381 Q382 Q383 Q384 Q333 | – – – – – – | – – – – – – | – – – – – – | x x x x x x | x x x x x x | x x x x x x
419, datum in one axis | – | x | x | x | x | x | x
420, measure angle | – | o | o | o | x | x | x
421, measure hole | Q423 Q365 | – – | – – | – – | x x | x x | x x
422, measure circle outside | Q423 Q365 | – – | – – | – – | x x | x x | x x
423, measure rectangle inside | – | o | o | o | x | x | x
424, measure rectangle outside | – | o | o | o | x | x | x
425, measure inside width | Q301 Q320 | – – | – – | – – | x x | x x | x x
426, measure ridge width | – | o | o | o | x | x | x
427, measure coordinate | – | o | o | o | x | x | x
430, measure bolt hole circle | – | o | o | o | x | x | x
431, measure plane | – | o | o | o | x | x | x
440, measure axis shift | – | o | x | x | x | x | x
441, fast probing | – | x | x | x | x | x | x
450, saving the kinematics | – | x | x | x | x | x | x
451, measuring the kinematics | 423 431 432 | x x x | x x x | x x x | x x x | x x x | x x x
452, preset compensation | – | x | x | x | x | x | x
460, calibrate TS | – | x | x | x | x | x | x
480, calibrating a TT | – | o | x | x | x | x | x
481, calibrate tool length | – | o | x | x | x | x | x
482, calibrate tool radius | – | o | x | x | x | x | x
483, measure tool | – | o | x | x | x | x | x
484, calibrate IR TT | – | o | x | x | x | x | x


Differences in touch probe cycles concerning older software versions of the iTNC 530

Meaning of the symbols used in the table:

– | Parameter not available in this software version
o | Parameter or cycle available in this software version
x | Cycle not available in this software version
Cycle | Additional parameters | iTNC 530, software version
 |  | 340422 | 340420
4, measuring in 3-D | – | x | x
9, calibrate TS length | – | o | x
400, basic rotation | Q305 | – | –
401, rotation of 2 holes | Q305 Q402 Q337 | – – – | – – –
402, rotation of 2 studs | Q305 Q402 Q337 | – – – | – – –
403, rotation in rotary axis | Q337 Q305 Q380 | – – – | – – –
404, set basic rotation | Q305 | – | –
408, slot center reference point | – | x | x
409, ridge center reference point | – | x | x
410, datum inside rectangle | Q303 Q381 Q382 Q383 Q384 Q333 | – – – – – – | – – – – – –
411, datum outside rectangle | Q303 Q381 Q382 Q383 Q384 Q333 | – – – – – – | – – – – – –
412, datum inside circle | Q303 Q381 Q382 Q383 Q384 Q333 Q423 Q365 | – – – – – – – – | – – – – – – – –
413, datum outside circle | Q303 Q381 Q382 Q383 Q384 Q333 Q423 Q365 | – – – – – – – – | – – – – – – – –
414, datum outside corner | Q303 Q381 Q382 Q383 Q384 Q333 | – – – – – – | – – – – – –
415, datum inside corner | Q303 Q381 Q382 Q383 Q384 Q333 | – – – – – – | – – – – – –
416, datum circle center | Q303 Q381 Q382 Q383 Q384 Q333 Q320 | – – – – – – – | – – – – – – –
417, datum in TS axis | Q303 | – | –
418, datum at center of four holes | Q303 Q381 Q382 Q383 Q384 Q333 | – – – – – – | – – – – – –
419, datum in one axis | – | – | x
421, measure hole | Q423 Q365 | – – | – –
422, measure circle outside | Q423 Q365 | – – | – –
425, measure inside width | Q301 Q320 | – – | – –
441, fast probing | – | x | x
450, saving the kinematics | – | x | x
451, measuring the kinematics | – | x | x
460, calibrate TS | – | x | x
450, saving the kinematics | – | x | x
484, calibrate IR TT | – | x | x


Differences in miscellaneous functions M concerning the TNC 4xx

Meaning of the symbols used in the table:

x | Function not available in this software version
o | Function available in this software version
M function | TNC 426 / TNC 430, software version |  |  |  |  | TNC 410
 | 280476 | 280474 | 280472 | 280470 | 280462 | 286060
Two miscellaneous functions can be programmed in one NC block | o | x | x | x | x | o
M01 | o | x | x | x | x | o
M104 | o | o | x | x | x | x
M128 | o | o | o | x | x | x
M129 | o | o | o | x | x | x
M130 | o | o | o | o | x | x
M134 | o | o | o | x | x | x
M135 | o | o | o | x | x | x
M136 | o | o | x | x | x | x
M137 | o | o | x | x | x | x
M138 | o | o | x | x | x | x
M140 | o | x | x | x | x | x
M141 | o | x | x | x | x | x
M142 | o | x | x | x | x | x
M143 | o | x | x | x | x | x
M144 | o | x | x | x | x | x
M145 | o | x | x | x | x | x


Differences in miscellaneous functions M concerning older software versions of the iTNC 530

Meaning of the symbols used in the table:

x | Function not available in this software version
o | Function available in this software version
M function | iTNC 530, software version
 | 340422 | 340420
M150 | x | x


Differences in Q-parameter programming concerning the TNC 4xx

Meaning of the symbols used in the table:

x | Function not available in this software version
o | Function available in this software version
Function | TNC 426 / TNC 430, software version |  |  |  |  | TNC 410
 | 280476 | 280474 | 280472 | 280470 | 280462 | 286060
Formula entry: SGN | x | x | x | x | x | o
Formula entry: % | x | x | x | x | x | x
FN16 | o | o | o | o | o | x
FN20 | o | o | o | x | x | x
FN23 | o | o | o | x | x | x
FN24 | o | o | o | x | x | x
FN25 | o | o | o | x | x | x
FN26 | o | o | x | x | x | x
FN27 | o | o | x | x | x | x
FN28 | o | o | x | x | x | x
Contour formula QC... | x | x | x | x | x | x
String formula QS... | x | x | x | x | x | x
Local parameters QL... | x | x | x | x | x | x
Nonvolatile parameters Qr... | x | x | x | x | x | x


Differences in Q-parameter programming concerning older software versions of the iTNC 530

Meaning of the symbols used in the table:

x | Function not available in this software version
o | Function available in this software version
Function | iTNC 530, software version
 | 340422 | 340420
String formula QS... | x | x
Local parameters QL... | x | x
Nonvolatile parameters QR... | x | x


Differences in other functions concerning the TNC 4xx

Meaning of the symbols used in the table:

x | Function not available in this software version
o | Function available in this software version
Function | TNC 426 / TNC 430, software version |  |  |  |  | TNC 410
 | 280476 | 280474 | 280472 | 280470 | 280462 | 286060
CYCL CALL PAT | o | x | x | x | x | o
CYCL CALL POS | x | x | x | x | x | x
Cutting data tables (WMAT block) | o | o | o | x | x | x
Feed rate F in the CHF block | o | o | o | x | x | o
Contour definition DECLARE CONTOUR | x | x | x | x | x | x
Tilting the working plane: Plane | x | x | x | x | x | x
Positioning behavior of rotary axes: FUNCTION TCPM | x | x | x | x | x | x
FK programming: FL P2X/flt p2x | o | o | o | o | o | x
FK programming: FL p2y/flt p2y | o | o | o | o | o | x
FK programming: FL RX/flt rx | o | o | o | o | o | x
FK programming: FL RY/flt ry | o | o | o | o | o | x
FK programming: FL RPR/flt rpr | o | o | o | o | o | x
FK programming: FL RPA/flt rpa | o | o | o | o | o | x
FK programming: FL RAN/flt ran | o | o | o | o | o | x
FK programming: Fc len/fct len | o | o | o | o | o | x
FK programming: Fc an/fct an | o | o | o | o | o | x
FK programming: Fc p2x/fct p2x | o | o | o | o | o | x
FK programming: Fc p2y/fct p2y | o | o | o | o | o | x
FK programming: Fc p3x/fct p3x | o | o | o | o | o | x
FK programming: Fc p3x/fct p3y | o | o | o | o | o | x
FK programming: Fc rx/fct rx | o | o | o | o | o | x
FK programming: Fc ry/fct ry | o | o | o | o | o | x
FK programming: Fc rpr/fct rpr | o | o | o | o | o | x
FK programming: Fc rpa/fct rpa | o | o | o | o | o | x
FK programming: Fc ran/fct ran | o | o | o | o | o | x
FK programming: Fc rccx/fct rccx | o | o | o | o | o | x
FK programming: Fc rccy/fct rccy | o | o | o | o | o | x
FK programming: Fc rccpr/fct rccpr | o | o | o | o | o | x
FK programming: Fc rccpa/fct rccpa | o | o | o | o | o | x


Differences in other functions concerning older software versions of the iTNC 530

Meaning of the symbols used in the table:

x | Function not available in this software version
o | Function available in this software version
Function | iTNC 530, software version
 | 340422 | 340420
Tilting the working plane: Plane | o | x
Tilting the working plane: PLane AXIS | x | x
Tilting the working plane: Plane TURN MB.. | x | x
Positioning behavior of rotary axes: FUNCTION TCPM | o | x
Defining machining positions: -Pattern def | x | x
Defining a simple contour formula: contour def | x | x
Defining global cycle parameters: -global def | x | x
File functions: function file | x | x
Datum shift: trans datum | x | x


Working with the iTNC 530 programming station

Further Informations:
> Starting the programming station
> Defining the window mode
> Showing the virtual keyboard
> Exiting the programming station


Starting the programming station

Start the iTNC 530 programming station as you would any other Windows application. Either double-click the HEIDENHAIN icon on your desktop or use the Start menu. The iTNC Control Panel appears (see figure at right). As soon as the programming station software is started, the iTNC Control Panel automatically minimizes.

The TNC functions (e.g. L, C, CC etc.) are sent internally over certain key combinations (shortcuts) to the programming station software. Remember that such key combinations are also used by other Windows programs, which can result in undesired effects.


Defining the window mode

In the standard setting, the programming station software starts in full screen mode. If your PC permits a resolution higher than 1024x768, you can also start the programming station in the window mode so that the programming station behaves like any other Windows application.

To select the window mode, proceed as follows:

  • Start the programming station software.

  • Double-click the green HEIDENHAIN symbol in the taskbar for the iTNC Control Panel to appear (see figure).

  • Click the More >> button: Additional settings are displayed.

  • Click the Settings button: Display options are displayed.

  • Select the 1024 x 768 window option. Confirm with OK.

Changes do not take effect until you restart the programming station software: Press the Restart iTNC button.


Showing the virtual keyboard

Your active screen resolution must be higher than 1024x768 in order to work effectively with the virtual keyboard.

You use the mouse in combination with the virtual keyboard to simulate keys available on the TNC keyboard. You can activate the soft keys directly with the mouse in the TNC window, or with the F1 to F8 function keys on the PC keyboard. The keys normally available on the TNC screen housing are also operated via the function keys on the PC keyboard:

  • Scroll the soft-key row to the left: F9
  • Scroll the soft-key row to the right: F10
  • Set the screen layout: F11
  • Switch between the foreground and background operating mode: F12

Proceed as follows to show the virtual keyboard:

  • Start the programming station software.

  • Double-click the green HEIDENHAIN symbol in the taskbar for the iTNC Control Panel to appear.

  • Click the More >> button: Additional settings are displayed.

  • Click the Keypad button: The virtual keyboard is shown.

If you want to automatically show the keyboard when starting the programming station software, proceed as follows:

  • Start the programming station software.

  • Double-click the green HEIDENHAIN symbol in the taskbar for the iTNC Control Panel to appear.

  • Click the More >> button: Additional settings are displayed.

  • Click the Settings button: Display options are displayed.

  • Select Launch keypad at startup option, define whether you want to use the Horizontal Keypad or the Vertical Keypad and confirm with the OK button.

Changes do not take effect until you restart the programming station software: Press the Restart iTNC button.


Exiting the programming station

Further Informations:
> Fundamentals
> Exiting the programming station completely
> Exiting the programming station temporarily


Fundamentals

In order to avoid losing data when exiting the program, you must quit the programming station correctly. The following sections describe the two possibilities for doing this.

Inappropriate exiting of the programming station can lead to data loss.


Exiting the programming station completely

  • Select the Manual Operation mode.

  • Shift the soft-key row until the soft key for shutting down the system appears.

Select the function for shutting down and confirm the following dialog prompt with the YES soft key.


Exiting the programming station temporarily

  • Press the Windows key on the ASCII keyboard for the screen to display the last active application and the taskbar.

  • Double-click the green HEIDENHAIN symbol in the taskbar for the iTNC Control Panel to appear (see figure at right).

Select the function for exiting the iTNC 530 application by pressing the Stop iTNC button. The iTNC Control Panel remains active. To restart the programming station software, press the Restart iTNC button.


Data transfer from the programming station to the machine tool

Further Informations:
> Prerequisites
> Preparations at the programming station
> Calling a program from the machine tool
> Connection between the programming station and HEIDENHAIN PC software


Prerequisites

Before you can transfer the data, you must connect the machine tool to the PC on which the iTNC programming station has been installed. Refer to the section in the User's Manual about the Ethernet interface.

You can start the data transfer only from the machine tool.


Preparations at the programming station

In order to transfer programs created with the programming station to the machine tool, you must create a transfer directory on the PC, in which you temporarily store the programs to be transferred. Proceed as follows:

  • If such a directory does not yet exist, create either on your PC or on any network drive a new directory (e.g. <c:\pgmtransfer>) using Windows Explorer.

  • Return to the programming station software.

  • Select the Programming and Editing operating mode

  • Press the PGM MGT key to call the file manager.

  • Select the program you want to transfer to the machine.

  • Select the split-screen view.

  • In the right-hand window select the <c:\pgmtransfer> path.

  • Copy the program to the <pgmtransfer> directory.

Refer to the TNC User's Manual for more information about copying files.


Calling a program from the machine tool

  • Select the Programming and Editing operating mode

  • Press the PGM MGT key to call the file manager.

  • Select the target directory to which you want to copy the program created with the programming station.

  • Select the split-screen view.

  • In the right-hand window, select the <c:\pgmtransfer> directory on the programming station PC.

  • Select the program to be transferred, and transfer it to the machine tool.

Refer to the TNC User's Manual for more information about copying files.


Connection between the programming station and HEIDENHAIN PC software

So that a connection between HEIDENHAIN PC software (e.g. TNCremo NT or -CycleDesign) and the programming station can be established, the programming station has a special IP address called the loop-back IP. This loop-back IP is 127.0.0.1 and must be entered in the appropriate configuration menu of the HEIDENHAIN PC software. Then you can set up a connection with the programming station as if you were connected with a machine.


Special features of the demo version

Further Informations:
> General information
> Starting the demo version
> Keyboard assignment
> Overview of keyboard assignment
> Key assignment on portable computers


General information

After you have installed the iTNC 530 programming station on your PC, you can call the TNC features with your standard PC keyboard for test purposes. All features of the iTNC 530 are available. As an alternative, you can also use the virtual keyboard for the demo version (see Showing the virtual keyboard).

The demo version of the iTNC 530 programming station permits you to save up to 100 NC blocks per NC program.

When extracting contours from DXF files, the TNC saves no more than 50 NC blocks in the corresponding contour program. The same constraint applies to extracting machining positions into a point table.


Starting the demo version

After you have started the demo version of the programming station using the Windows Start menu, a pop-up window appears and informs you about the special features of the demo version. In this case, proceed as follows:

  • To confirm the information about the demo version, press the CE key on the TNC's virtual keyboard. If you are using the standard PC keyboard, press the period (.) key in the numeric keypad of your keyboard. If you are using a laptop, activate the NUM LOCK function and then press the period (.) key in the numeric keypad of your keyboard. Then the TNC software closes the pop-up window and displays the Power interrupted message.

  • To confirm the power interruption, again press the CE key on the TNC keyboard or the appropriate PC key. The programming station software is now ready for use in the Manual Operation mode.

There is more information on the keyboard assignment (see Keyboard assignment).


Keyboard assignment

The assignment of the TNC's special keys (axis keys and dialog keys) and the TNC number pad are shown in the figure at upper right. The assignment of the screen keys is shown in the Function of the screen keys table below. All other TNC functions are called with shortcut commands, which are listed in the TNC functions table on the next page.

Further Informations:
> Keys on the TNC screen
> Keys for TNC functions
> Keyboard assignment to American PC keys arrangement


Keys on the TNC screen

Functions for vertical soft keys are available only if you use a special PLC program for the programming station.

To press a vertical soft key, you must also press and hold the CTRL+ALT+SHIFT keys in the PC keyboard.

Function of the screen keys | TNC key | PC key
Horizontal soft key 1 |  |
Horizontal soft key 2 |  |
Horizontal soft key 3 |  |
Horizontal soft key 4 |  |
Horizontal soft key 5 |  |
Horizontal soft key 6 |  |
Horizontal soft key 7 |  |
Horizontal soft key 8 |  |
Horizontal soft key 9 for large screen resolution (1280x1024) |  | CTRL+ALT+
Horizontal soft key 10 for large screen resolution (1280x1024) |  | CTRL+ALT+
Shift soft-key row left |  |
Shift soft-key row right |  |
Select the screen layout |  |
Toggle the display between machining and programming modes |  |
Vertical soft key 1 |  |
Vertical soft key 2 |  |
Vertical soft key 3 |  |
Vertical soft key 4 |  |
Vertical soft key 5 |  |


Keys for TNC functions

In order to call the TNC functions below with the PC keyboard, you must also press and hold the CTRL+ALT keys of the PC keyboard.

TNC function | TNC key | PC key
Select or delete programs and files, external data transfer |  |
Show calculator |  |
Select MOD functions |  |
Display help text for NC error messages |  |
Display all current error messages |  |
Approach/depart contour |  |
FK free contour programming |  |
Program a chamfer |  |
Program a straight line segment |  |
Program a circular arc with radius |  |
Program a corner rounding |  |
Program a circular arc with tangential connection |  |
Program the circle center/pole for polar coordinates |  |
Program a circular arc with center |  |
Select the Manual Operation mode. |  |
Select the smarT.NC operating mode |  |
Select the Handwheel operating mode |  |
Select the Positioning with MDI operating mode |  |
Select the Program Run, Single Block operating mode |  |
Select the Program Run, Full Sequence operating mode |  |
Select the Programming and Editing operating mode |  |
Select the Test Run operating mode |  |
Define touch probe cycles |  |
Define fixed cycles |  |
Call fixed cycles |  |
Define subprograms and program section repeats |  |
Call subprograms and program section repeats |  |
Enter a program stop |  |
Define tool in the program |  |
Call the tool |  |
Call the soft-key menu for special functions |  |
Enter program call |  |


Keyboard assignment to American PC keys arrangement

The following keys are arranged differently if you use a PC keyboard with an American key layout.

TNC function | TNC key | PC key
FK free contour programming |  |
Program a chamfer |  |
Program a straight line segment |  |
Select the smarT.NC operating mode |  |
Select the Handwheel operating mode |  |
Program a corner rounding |  |
Enter a program stop |  |


<>
Important information on the software for the programming station / Special features of the demo version

Overview of keyboard assignment


Key assignment on portable computers

On portable computers (laptops, notebooks), the number of available key is less than on a desktop PC (see figure at right). With the NUM key you activate the numeric keypad, which usually has its own color on the keyboard (see illustration below). Refer to the operating instructions of your laptop/notebook. In addition, some functions such as DEL (delete) or the cursor keys can be activated with an FN key. Refer also to the operating instructions of your laptop/notebook.

On many portable computers the ENT key is not available. In most cases you can then continue the dialog with the rightward cursor key.


Items supplied / Installation

Further Informations:
> Items supplied / System requirements
> Connecting the programming station


Items supplied / System requirements

Further Informations:
> Items supplied
> System requirements


Items supplied

Three versions of the iTNC programming station are available.

Further Informations:
> iTNC programming station with TNC keyboard
> iTNC programming station with virtual keyboard
> iTNC programming station with network license


iTNC programming station with TNC keyboard

    Included in delivery are:

  • The programming station software on CD
  • The TE 530 L keyboard for connection to your PC via the USB port
  • 1 USB cable (2 meters)
  • 4 cable clamps for mounting on the programming station housing
  • Self-adhesive stickers for soft-key labels
  • User documentation on DVD


iTNC programming station with virtual keyboard

    Included in delivery are:

  • The programming station software on CD
  • USB dongle, single-station license for avoiding the memory restrictions
  • User documentation on DVD


iTNC programming station with network license

    Included in delivery are:

  • The programming station software on CD
  • USB dongle with 14 or 20 network licenses for avoiding the memory restrictions
  • User documentation on DVD


System requirements

    The programming station software runs on PCs that meet the following requirements:

  • Standard PC with Windows 2000, Windows XP, Windows Vista, Windows 7; microprocessor at least Pentium III with 800 MHz
  • USB interface
  • 512 MB RAM minimum
  • Graphics card: At least 16-bit color depth
  • At least 400 MB available memory on the hard disk
  • At least 15-inch screen with a resolution of 1024x768 pixels; the virtual keyboard requires a minimum resolution of 1280x1024 pixels
  • LAN connection when using the iTNC programming station with a network license

Please note that you need administrator rights both for installing and for operating the programming station software.

In order to operate the programming station software, it suffices if you have administrator rights to the installation directory of the programming station software.


Connecting the programming station

Further Informations:
> Connecting the keyboard for the programming station
> Number stickers
> Connecting the USB dongle (only for the version with a virtual keyboard)
> Connecting the USB network dongle (only for the version with a virtual keyboard)
> Installing the programming station software
> Configuring the programming station software for use with a USB network dongle
> Setting the conversational language
> Working with the HEIDENHAIN basic PLC program
> Working with a machine-specific PLC program


Connecting the keyboard for the programming station

Connect the programming station keyboard to an available USB port on your computer.

Then install the correct driver for the USB dongle from the programming station CD. HEIDENHAIN is currently shipping the programming station keyboard with two different USB dongles. You can tell which dongle is installed in your keyboard by the ID number printed on the black ID label on the rear of the keyboard:

  • Alladin dongle:
    Programming station keyboards with ID number 532524-01 have the Alladin dongle.
  • Marx dongle:
    Programming station keyboards as of ID number 532524-02 have the Marx dongle.

Please note the driver installation instructions on the programming station CD.

The programming station software then automatically recognizes the connected programming station keyboard.

The rear of the programming station keyboard also has a USB port, to which you can attach another USB device, such as another dongle for another TNC programming station.

The additional USB device attached to the programming station keyboard must not draw more than 200 mA of current.


Number stickers

The self-adhesive number stickers included with the programming station keyboard enable the user to recognize which manually pressed soft key belongs to which soft key displayed on the PC's monitor.

You can apply the large sticker to the programming station keyboard and the individual numbers to the PC screen.


Connecting the USB dongle (only for the version with a virtual keyboard)

Connect the USB dongle to an available USB port on your computer.

Then install the correct driver for the USB dongle from the programming station CD. HEIDENHAIN is currently shipping two different USB dongles:

  • Marx dongle:
    The Marx dongle has a silver surface; see image at upper right
  • Alladin dongle:
    The Alladin dongle is blue; see image at lower right

Please note the driver installation instructions on the programming station CD.

The programming station software detects the connected dongle automatically after the installation.


Connecting the USB network dongle (only for the version with a virtual keyboard)

Connect the USB network dongle to an available USB port on the computer you want to use as a server.

Then install the correct driver for the USB dongle from the programming station CD. HEIDENHAIN is currently shipping two different USB dongles:

  • Marx dongle:
    The Marx dongle has a silver surface; see image at upper right
  • Alladin dongle:
    The Alladin dongle is blue; see image at lower right

Please note the driver installation instructions on the programming station CD.

The programming station software on the computer automatically recognizes the connected dongle after the network driver has been installed successfully. You must appropriately configure the computers to which you want to give access to the network dongle after installing the programming station software (see Configuring the programming station software for use with a USB network dongle).


Installing the programming station software

Note that the following files are normally overwritten during installation of an update:

  • Configuration file OEM.SYS
  • Machine parameter file DEMO.MP
  • All example NC programs in the TNC:\DEMO directory

Should you have made changes to any of these files, make a backup copy before installation, or rename the files.

  • Place the programming station CD in the CD-ROM drive.

  • The CD browser starts automatically if your CD-ROM drive has been appropriately configured. If Autostart is not active, run the <Start.exe> file.

  • Choose the language to be used for the CD navigation.

  • Select <Install software>.

  • Select <Select software version>.

  • In order to start the installation program, select <Setup> for the software version you want to install.

  • Follow the installation program instructions.

When installing the iTNC 530 programming station for the first time, you can decide whether the HEIDENHAIN basic PLC program for the programming station with programming examples is to be installed as well. Select the setup type User and then Basic PLC Program or Standard (User) (see Working with the HEIDENHAIN basic PLC program).

You can install this programming station version on your PC even if another version is already installed on your PC, but you cannot run both versions at the same time.


Configuring the programming station software for use with a USB network dongle

HEIDENHAIN is currently shipping two different USB dongles:

  • Marx dongle:
    The Marx dongle has a silver surface; see image at upper right
  • Alladin dongle:
    The Alladin dongle is blue; see image at center right

Please note the driver installation instructions on the programming station CD.
Further Informations:
> Configuring the Alladin dongle
> Configuring the Marx dongle


Configuring the Alladin dongle

All computers that are to access a network dongle must be configured as follows:

  • Start the programming station software.

  • Double-click the green HEIDENHAIN symbol in the taskbar for the iTNC Control Panel to appear.

  • Click the More >> button: Additional settings are displayed.

  • Click the Settings button: Programming station settings are displayed (see figure).

  • Select the Use Hardlock Server option.

  • If required, select whether you are using a programming station (Programming Station is the default setting) or VirtualTNC (Virtual Machine). The Marx Crypto-Box setting is only necessary for special applications in combination with virtual machines, which are programmed by the respective software manufacturer.

  • In the Server input field, enter the IP address or the network name of the computer which you are using as a server, i.e. the computer to which you have connected the USB network dongle.

  • Press OK to confirm your settings.

Changes do not take effect until you restart the programming station software: Press the Restart iTNC button.

You do not need to install any additional drivers on the client PC to be able to access the USB network dongle.


Configuring the Marx dongle

Before you can use a network license for multiple workstations, you must start the server program "SmarxOS" on one of the computers, and connect the USB dongle. This computer is then designated the "dongle server," and monitors the connections to the client PCs on which the programming stations are installed.

Proceed as follows in order to start the "SmarxOS" server program on the dongle server PC:

  • Copy the entire "CBServer" directory from the CD (\JH\CBServer) to a local drive on your PC

  • Start the server by running "CBIOSSrv.exe"

The [image] icon is shown in the taskbar after the server program has started.

The programming station PCs log on to the dongle server when they start. During operation the server checks whether a logged-on programming station is active. If the programming station PC has not contacted the dongle server for some time, the dongle server logs that PC off (default setting: 15 minutes). When you exit the programming station, the respective PC logs off from the dongle server.

You can also install the "SmarxOS" server program as a service on the dongle server PC. Services are automatically run when Windows is started, and run in the background. That way you don't need to start the server program manually each time you boot the PC. To install the server program as a service, proceed as follows:

  • Copy the entire "CBServer" directory from the CD (\JH\CBServer) to a local drive on your PC

  • Start the server by running "CBIOSSrv.exe"

  • Stop the server by pressing the "Stop" button in the server window

  • Select the option "Run as Service"

  • Start the server by pressing the "Start" button in the server window

The service is now run automatically when Windows is started. The [image] icon will no longer be shown in the taskbar once the system is booted again.

You may have to enter the CBIOSSRV.SRV program as an exception in the Windows firewall software.

You can also check and change the settings for the "CBIOS Server" service in the Control Panel under Administrative Tools\Services.

You can make other changes to the server settings with the Server Administration program. Start the AdminApp.exe program (directory: CBServer) for this:

  • Press the "Search" button to show all PCs to which a dongle is connected.
  • Click an IP address to add it to the address block for connection settings.
  • The IP address 127.0.0.1 (default setting) is used to load the data from the local dongle server.
  • Press the "Connect" button to open a window with information about the dongle and other possible settings (e.g. "Connection timeout")

You will find more information on the Server Administration program in the readme.txt file (directory: CBServer).


Setting the conversational language

The default language for the programming station software is German. Follow the procedure below to switch to another conversational language:

  • Start the programming station software.

Select the Programming and Editing mode of operation.

Select MOD functions

Enter the code number 123 and confirm with the ENT key.

To select machine parameter 7230: Press the GOTO key, enter 7230, and confirm with the ENT key

Set the desired conversational language (see the table below), and confirm with the END key.

Conversational language | Value in MP7230
English | 0
German | 1
Czech | 2
French | 3
Italian | 4
Spanish | 5
Portuguese | 6
Swedish | 7
Danish | 8
Finnish | 9
Dutch | 10
Polish | 11
Hungarian | 12
Russian | 14
Chinese (simplified) | 15
Chinese (traditional) | 16
Slovenian | 17
Norwegian | 18
Slovak | 19
Korean | 21
Norwegian | 22
Turkish | 23
Romanian | 24


Working with the HEIDENHAIN basic PLC program

Some machine tool builders provide more than one PLC program for the programming station, each specific to a different type of machine.

In order to increase protection of files and other data, the machine tool builder can encrypt the PLC, making it more difficult for third parties to access this information.

HEIDENHAIN points out that no data encryption method offers 100% protection of the data, especially against access, damage or destruction by unauthorized persons, etc. Therefore, HEIDENHAIN cannot guarantee that data stored there will not be tampered with, and as a consequence cannot assume liability for any resulting damage.

After you have started the programming station with active PLC, the TNC displays the 98 TNC programming station active error message.

  • Press the HELP key to display a list with the most important programming station functions for machine operation

The following table lists these functions:

Function | Keys
NC start | CTRL+S
NC stop | CTRL+X
Move the active axis in the positive direction | CTRL+Arrow up
Move the active axis in the negative direction | CTRL+Arrow down
Emergency stop | ALT+X

Use the mouse in combination with the vertical soft-key row to simulate various machine functions of the basic PLC program:

Soft key Keys

M
  • NC start
  • NC stop
  • Move axes in positive and negative direction
  • Exit the programming station

S
  • Spindle ON
  • Spindle OFF
  • Incremental spindle jog M3
  • Incremental spindle jog M4
  • Oriented spindle stop M19

T
  • Acknowledge tool change
  • Clamp/release tool

DIAGNOSIS
  • Show PLC error table
  • Diagnostic functions
  • Status functions
  • Documentation for M functions

If you do not want to use the standard axis configuration, you can choose from various kinematics setups available via the MOD function in the Programming and Editing operating mode:

Select the Programming and Editing mode of operation.

Select MOD functions

Enter the keyword kinematic and confirm with the ENT key. The TNC displays a pop-up window with various axis configurations.

Move to the desired axis configuration with the arrow keys, and select it with the ENT key or SELECT soft key. The TNC resets, and activates the axis configuration you selected.


Working with a machine-specific PLC program

Some machine tool builders provide more than one PLC program for the programming station, each specific to a different type of machine. Please contact your machine tool builder to request a description of the adapted PLC program's functions.

In order to increase protection of files and other data, the machine tool builder can encrypt the PLC, making it more difficult for third parties to access this information.

HEIDENHAIN points out that no data encryption method offers 100% protection of the data, especially against access, damage or destruction by unauthorized persons, etc. Therefore, HEIDENHAIN cannot guarantee that data stored there will not be tampered with, and as a consequence cannot assume liability for any resulting damage.